/* Uwaga!!! po każdym zapytaniu SQL należy napisać słówko kluczowe GO
  Każda zmiana w bazie po wersji 8.0.0 powinna być tu uwzględniona 
  Jedyny dozwolony format komentarzy to taki sam jak ten czyli / * ... * / 
  Przy wykonaniu Alter Table w kodzie aplikacji jest sprawdzenie czy kolumna istnieje.
 */

Alter Table dbo_User Add ReportWarehouseId INTEGER NULL
go
Alter Table dbo_Document Add TargetWarehouseId INTEGER NULL
go
Alter Table dbo_Customer Add InPromotion INTEGER NULL
go
Alter Table dbo_Product Add PromoDiscountPercent FLOAT NULL
go
Alter Table dbo_Document Add PrevDocumentId INTEGER NULL
go
CREATE TABLE IF NOT EXISTS dbo_DocRemarks (
	DocRemarksId		INTEGER NOT NULL,
	LevelId				INTEGER NOT NULL Default 0, 
	SourceId			INTEGER NOT NULL Default -1, 
	DocTypeId 			INTEGER NOT NULL Default 0,
	Remarks			 	String NOT NULL, 
	IsDefault		 	INTEGER NOT NULL Default 0,
	PRIMARY KEY (DocRemarksId)
)
go
Alter Table dbo_Document Add Version INTEGER NULL
go
CREATE TABLE IF NOT EXISTS dbo_PriceHistory (	
	PriceHistoryId		INTEGER NOT NULL,
	DocumentId			INTEGER NOT NULL,
	ProductId			INTEGER NOT NULL,
	Price				FLOAT NOT NULL,
	Date				DATETIME NOT NULL,	
	SynchState  		INTEGER NOT NULL DEFAULT 2,
	PRIMARY KEY (PriceHistoryId)
)
go
CREATE TABLE IF NOT EXISTS dbo_AttributeValueBinary
(
	AttributeValueBinaryId	INTEGER NOT NULL,
	Sequence 				INTEGER NOT NULL,
	Name					TEXT NOT NULL,
	Description 			TEXT,
	FileType 				TEXT NOT NULL,
	Size 					INTEGER NOT NULL,
	Thumbnail				BLOB,	
	Value 					BLOB,
    CreateDate              DATETIME,   
	SynchState  		 	INTEGER NOT NULL DEFAULT 0,
	PRIMARY KEY (AttributeValueBinaryId)
)
go
Alter Table dbo_AttributeValue Add AttributeValueBinaryId INTEGER NULL
go
Alter Table dbo_AttributeValue Add CatalogIndex TEXT NULL
go
CREATE TABLE IF NOT EXISTS dbo_AttributeValueBinaryCollection
(
	AttributeValueBinaryCollectionId	INTEGER NOT NULL,
	AttributeValueBinaryId 				INTEGER NOT NULL, 
	SynchState  		 				INTEGER NOT NULL DEFAULT 0,
	PRIMARY KEY (AttributeValueBinaryCollectionId, AttributeValueBinaryId)
)
go
Alter Table dbo_AttributeValue Add AttributeValueBinaryCollectionId INTEGER NULL
go
CREATE TABLE IF NOT EXISTS dbo_Currency 
(	
	CurrencyId		INTEGER NOT NULL,
	Symbol			TEXT NOT NULL,
	Rate			FLOAT NOT NULL,
	SynchState  	INTEGER NOT NULL DEFAULT 0,
	PRIMARY KEY (CurrencyId)
)
go
Alter Table dbo_FinancialDocDetail Add CurrencyAmount FLOAT NULL
go
Alter Table dbo_FinancialDocDetail Add CurrencySymbol TEXT NULL
go
Alter Table dbo_FinancialDocDetail Add CurrencyConverter FLOAT NULL
go
Alter Table dbo_FinancialDocument Add CurrencyAmount FLOAT NULL
go
Alter Table dbo_FinancialDocument Add CurrencySymbol TEXT NULL
go
Alter Table dbo_FinancialDocument Add CurrencyConverter FLOAT NULL
go
Alter Table dbo_Document Add CurrencyWorthNet FLOAT NULL
go
Alter Table dbo_Document Add CurrencyWorthGross FLOAT NULL
go
Alter Table dbo_Document Add CurrencyWorthPayments FLOAT NULL
go
Alter Table dbo_Document Add CurrencySymbol TEXT NULL
go
Alter Table dbo_Document Add CurrencyConverter FLOAT NULL
go
Alter Table dbo_Bill Add CurrencyWorthGross FLOAT NULL
go
Alter Table dbo_Bill Add CurrencyWorthPayments FLOAT NULL
go
Alter Table dbo_Bill Add CurrencySymbol TEXT NULL
go
Alter Table dbo_Bill Add CurrencyConverter FLOAT NULL
go
Update SynchTable Set IsUploadEnable = 1 Where TableId = 43
go
CREATE TABLE IF NOT EXISTS dbo_TargetMeasure 
(	
	TargetMeasureId		INTEGER NOT NULL,
	Name				TEXT NOT NULL,
	SynchState  		INTEGER NOT NULL DEFAULT 0,
	PRIMARY KEY (TargetMeasureId)
)
go
CREATE TABLE IF NOT EXISTS dbo_TargetAlgorithm
(
	TargetAlgorithmId	 INTEGER NOT NULL,
	TargetMeasureId		 INTEGER NOT NULL,
	Name				 TEXT NOT NULL,
	SynchState  		 INTEGER NOT NULL DEFAULT 0,
    PRIMARY KEY (TargetAlgorithmId)
)
go
CREATE TABLE IF NOT EXISTS dbo_TargetProfile
(
	TargetProfileId		 INTEGER NOT NULL,
	Name				 TEXT NOT NULL,
	Description			 TEXT NULL,
	SynchState  		 INTEGER NOT NULL DEFAULT 0,
    PRIMARY KEY (TargetProfileId)
);
go
CREATE TABLE IF NOT EXISTS dbo_TargetProfileItemType
(
	TargetProfileItemTypeId			 INTEGER NOT NULL,
	Name							 TEXT NOT NULL,
	TableName						 TEXT NOT NULL,
	TableKeyName					 TEXT NOT NULL,
	SynchState  					 INTEGER NOT NULL DEFAULT 0,
    PRIMARY KEY (TargetProfileItemTypeId)
);
go
CREATE TABLE IF NOT EXISTS dbo_TargetProfileItem
(
	TargetProfileItemId			 INTEGER NOT NULL,
	TargetProfileId				 INTEGER NOT NULL,
	TargetProfileItemTypeId		 INTEGER NOT NULL,
	ItemId						 INTEGER NOT NULL,
	SynchState  				 INTEGER NOT NULL DEFAULT 0,
    PRIMARY KEY (TargetProfileItemId)
);
go
CREATE TABLE IF NOT EXISTS dbo_TargetTemplate
(
	TargetTemplateId			 INTEGER NOT NULL,
	TargetProfileId				 INTEGER NOT NULL,
	TargetAlgorithmId			 INTEGER NOT NULL,
	Name						 TEXT NOT NULL,
	Description					 TEXT NULL,
	SynchState  				 INTEGER NOT NULL DEFAULT 0,
    PRIMARY KEY (TargetTemplateId)
);
go
CREATE TABLE IF NOT EXISTS dbo_Target
(
	TargetId						INTEGER NOT NULL,
	Name							TEXT NOT NULL,
	Description						TEXT NULL,
	TargetTemplateId				INTEGER NOT NULL,
	DateFrom						DATETIME NOT NULL,
	DateTo							DATETIME NOT NULL,
	TargetValue						FLOAT NOT NULL,
	CurrentValue					FLOAT NOT NULL,
	CurrentValueInPercent			FLOAT NOT NULL,
	TimeInPercent					FLOAT NOT NULL,
	CurrentTimeInPercent			FLOAT NOT NULL,
	SynchState  					INTEGER NOT NULL DEFAULT 0,
    PRIMARY KEY (TargetId)
);
go
Alter Table dbo_DocumentDetail Add BaseQuantity FLOAT NULL
go
Alter Table dbo_RouteDetail Add ContactId INTEGER NULL
go
Alter Table SynchInfo Add IsAuto INTEGER NOT NULL DEFAULT 0
go

